{% extends 'base.html' %}
{% block content %}

    {% for message in messages %}
    <div class="container-fluid p-0">
        <div class="alert alert-danger {{ message.tags }} alert-dismissible" role="alert" >
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="True">&times;</span>
        </button>
        {{ message }}
        </div>
    </div>
    {% endfor %}
    {% if request.session.role == "Admin" %}
    <table class="table">
        <thead><tr>
            <th scope="col">Username Pengguna</th>
            <th scope="col">Nama</th>
            <th scope="col">Jenis Kelamin</th>
            <th scope="col">Status</th>
            <th scope="col">XP</th>
            <th scope="col">Energi</th>
            <th scope="col">Kelaparan</th>
            <th scope="col">Hubungan Sosial</th>
            <th scope="col">Level</th>
            <th scope="col">Action</th>
          </tr></thead>
        {% if list_tokoh %}
            {% for tokoh in list_tokoh %}
            <tr scope="row">
                <td> {{ tokoh.0 }} </td>
                <td> {{ tokoh.1 }} </td>
                <td> {{ tokoh.2 }} </td>
                <td> {{ tokoh.3 }} </td>
                <td> {{ tokoh.4 }} </td>
                <td> {{ tokoh.5 }} </td>
                <td> {{ tokoh.6 }} </td>
                <td> {{ tokoh.7 }} </td>
                <td> {{ tokoh.9 }} </td>
                <td> <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#{{ tokoh.1 }}Modal">Detail</button> </td>
                <div class="modal fade" id="{{ tokoh.1 }}Modal" tabindex="-1" role="dialog" aria-labelledby="{{ tokoh.1 }}ModalLabel" aria-hidden="true" data-show=false>
                    <div class="modal-dialog" role="document">
                      <div class="modal-content">
                        <div class="modal-header">
                          <h5 class="modal-title" id="{{ tokoh.1 }}ModalLabel">Detail Tokoh</h5>
                          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                          </button>
                        </div>
                        <div class="modal-body">
                          Nama Tokoh: {{ tokoh.1 }}<br>
                          ID Rambut: {{ tokoh.12 }}<br>
                          ID Mata: {{ tokoh.13 }}<br>
                          ID Rumah: {{ tokoh.14 }}<br>
                          Warna Kulit: {{ tokoh.8 }}<br>
                          Sifat: {{ tokoh.10 }}<br>
                          Pekerjaan: {{ tokoh.11 }}
                        </div>
                        <div class="modal-footer">
                          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        </div>
                      </div>
                    </div>
                </div>
            </tr>
            {% endfor %}
        {% endif %}
    </table>
    {% endif %}
    {% if request.session.role == "Pemain" %}
    <table class="table">
        <thead><tr>
            <th scope="col">Nama</th>
            <th scope="col">Jenis Kelamin</th>
            <th scope="col">Status</th>
            <th scope="col">XP</th>
            <th scope="col">Energi</th>
            <th scope="col">Kelaparan</th>
            <th scope="col">Hubungan Sosial</th>
            <th scope="col">Level</th>
            <th scope="col">Action</th>
          </tr></thead>
        {% if list_tokoh %}
            {% for tokoh in list_tokoh %}
            <tr scope="row">
                <td> {{ tokoh.1 }} </td>
                <td> {{ tokoh.2 }} </td>
                <td> {{ tokoh.3 }} </td>
                <td> {{ tokoh.4 }} </td>
                <td> {{ tokoh.5 }} </td>
                <td> {{ tokoh.6 }} </td>
                <td> {{ tokoh.7 }} </td>
                <td> {{ tokoh.9 }} </td>
                <td> 
                    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#{{ tokoh.1 }}Modal">Detail</button> 
                    <a href="/update/update_tokoh/{{ tokoh.1 }}"><button type="button" class="btn btn-primary">Update</button></a>
                </td>
                <div class="modal fade" id="{{ tokoh.1 }}Modal" tabindex="-1" role="dialog" aria-labelledby="{{ tokoh.1 }}ModalLabel" aria-hidden="true" data-show=false>
                    <div class="modal-dialog" role="document">
                      <div class="modal-content">
                        <div class="modal-header">
                          <h5 class="modal-title" id="{{ tokoh.1 }}ModalLabel">Detail Tokoh</h5>
                          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                          </button>
                        </div>
                        <div class="modal-body">
                          Nama Tokoh: {{ tokoh.1 }}<br>
                          ID Rambut: {{ tokoh.12 }}<br>
                          ID Mata: {{ tokoh.13 }}<br>
                          ID Rumah: {{ tokoh.14 }}<br>
                          Warna Kulit: {{ tokoh.8 }}<br>
                          Sifat: {{ tokoh.10 }}<br>
                          Pekerjaan: {{ tokoh.11 }}
                        </div>
                        <div class="modal-footer">
                          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        </div>
                      </div>
                    </div>
                </div>
            </tr>
            {% endfor %}
        {% endif %}
    </table>
    {% endif %}

{% endblock content %}

{% block js %}
    <script>
        $('.modal').modal()
    </script>
{% endblock js %}